Skip to content
Guides
API reference
stablecatalog:read

Get brand by ID

Retrieve a specific brand by its ID

GET/v1/catalog/brands/{brandId}

Retrieve a specific brand by its ID

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

brandId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/brands/string"
{  "id": "string",  "storeId": "string",  "name": "string",  "slug": "string",  "logo": null,  "icon": null,  "description": null,  "metaTitle": null,  "metaDescription": null,  "keywords": null,  "order": 0,  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}